| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
DestinationCreateObject Class Reference
Destination and Route

Create Destination data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Symbolic name of the destination. More...
enum unsp__SignalingType | Signaling
| Indicates the type of destination signaling. More...
enum unsp__BearerCaps | Bearer
| Assigned bearer capability of the route. More...
enum unsp__DestinationAttributes | DestinationAttributes
| Destination attributes. More...
enum unsp__Attributes | Attributes
| Attributes. More...
xsd__string | NumberPlanName
| Name of the Number plan of the destination. More...
enum unsp__Attributes | PrefixAreaCode
| Prefix Area Code. More...
enum unsp__Attributes | PrefixCountryCode
| Prefix Country Code. More...
enum unsp__Attributes | ReRoute
| ReRoute. More...
enum unsp__Attributes * | ReRouteWModifiedNumber
| ReRouteWModifiedNumber. More...

## Detailed Description

Create Destination data.

## Member Data Documentation

## ◆ Attributes

enum unsp__Attributes DestinationCreateObject::Attributes

Attributes.

required: false
default value[range]: AtrNo

## ◆ Bearer

enum unsp__BearerCaps DestinationCreateObject::Bearer

Assigned bearer capability of the route.

required: false
default value[range]: CapUnused

## ◆ DestinationAttributes

enum unsp__DestinationAttributes DestinationCreateObject::DestinationAttributes

Destination attributes.

required: false
default value[range]: DaNotMSDest

## ◆ Name

xsd__string DestinationCreateObject::Name

Symbolic name of the destination.

required: true

See also
  unsp__DestName

## ◆ NumberPlanName

xsd__string DestinationCreateObject::NumberPlanName

Name of the Number plan of the destination.

required: true

See also
  unsp__NumberPlanName

## ◆ PrefixAreaCode

enum unsp__Attributes DestinationCreateObject::PrefixAreaCode

Prefix Area Code.

required: false
default value[range]: NA

## ◆ PrefixCountryCode

enum unsp__Attributes DestinationCreateObject::PrefixCountryCode

Prefix Country Code.

required: false
default value[range]: NA

## ◆ ReRoute

enum unsp__Attributes DestinationCreateObject::ReRoute

ReRoute.

required: false
default value[range]: NA

## ◆ ReRouteWModifiedNumber

enum unsp__Attributes* DestinationCreateObject::ReRouteWModifiedNumber

ReRouteWModifiedNumber.

required: false
default value[range]: NA

## ◆ Signaling

enum unsp__SignalingType DestinationCreateObject::Signaling

Indicates the type of destination signaling.

When creating a generic destination, the signaling type should be of value SigUnused.
required: false
default value[range]: SigUnused

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h